Package org.globus.gsi.gssapi.net.impl

# Class GSIGssSocketFactory

java.lang.Object
org.globus.gsi.gssapi.net.GssSocketFactory
org.globus.gsi.gssapi.net.impl.GSIGssSocketFactory

public class GSIGssSocketFactory extends GssSocketFactory

## Constructor Summary

Constructors
Constructor
Description
`GSIGssSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String host, int port, GSSContext context)`
`Socket`
`createSocket(Socket s, String host, int port, GSSContext context)`

### Methods inherited from class org.globus.gsi.gssapi.net.GssSocketFactory

`getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSIGssSocketFactory

public GSIGssSocketFactory()

## Method Details

### createSocket

public Socket createSocket(Socket s, String host, int port, GSSContext context)

Specified by:
  `createSocket` in class `GssSocketFactory`

### createSocket

public Socket createSocket(String host, int port, GSSContext context) throws IOException

Specified by:
  `createSocket` in class `GssSocketFactory`
Throws:
  `IOException`